{
  "codeName" : "GroupByCodelistKanBan",
  "controlType" : "KANBAN",
  "getCreatePSControlAction" : {
    "modelref" : true,
    "id" : "create"
  },
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK/PSKANBANS/GroupByCodelistKanBan.json",
  "getFetchPSControlAction" : {
    "modelref" : true,
    "id" : "fetch"
  },
  "getGetPSControlAction" : {
    "modelref" : true,
    "id" : "load"
  },
  "groupLayout" : "ROW",
  "groupMode" : "CODELIST",
  "getGroupPSAppDEField" : {
    "name" : "TYPE",
    "codeName" : "Type"
  },
  "getGroupPSCodeList" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/BookType.json"
  },
  "hookEventNames" : [ "ROWDBLCLICK", "SELECTIONCHANGE", "REMOVE", "LOAD", "BEFORELOAD" ],
  "logicName" : "看板（代码表分组）",
  "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZBOOK/psdekanbans/GroupByCodelistKanBan",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
  },
  "getPSControlLogics" : [ {
    "eventNames" : "ROWDBLCLICK;SELECTIONCHANGE;REMOVE;LOAD;BEFORELOAD",
    "logicTag" : "kanban",
    "logicType" : "APPVIEWENGINE",
    "name" : "engine_kanban",
    "getPSAppViewEngine" : {
      "modelref" : true,
      "id" : "engine"
    }
  } ],
  "getPSDEDataImport" : {
    "modelref" : true,
    "id" : "DataImport"
  },
  "getPSDEDataViewDataItems" : [ {
    "dataType" : 25,
    "name" : "press",
    "getPSAppDEField" : {
      "name" : "PRESS",
      "codeName" : "Press"
    }
  }, {
    "dataType" : 25,
    "name" : "srficon",
    "getPSAppDEField" : {
      "name" : "ICON",
      "codeName" : "Icon"
    }
  }, {
    "dataType" : 25,
    "getFrontPSCodeList" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/BookType.json"
    },
    "name" : "type",
    "getPSAppDEField" : {
      "name" : "TYPE",
      "codeName" : "Type"
    }
  }, {
    "dataType" : 7,
    "name" : "price",
    "getPSAppDEField" : {
      "name" : "PRICE",
      "codeName" : "Price"
    }
  }, {
    "dataType" : 9,
    "name" : "booknumber",
    "getPSAppDEField" : {
      "name" : "BOOKNUMBER",
      "codeName" : "Booknumber"
    }
  }, {
    "dataType" : 25,
    "name" : "srfmajortext",
    "getPSAppDEField" : {
      "name" : "IBIZBOOKNAME",
      "codeName" : "IBIZBOOKName"
    }
  }, {
    "dataType" : 25,
    "name" : "srfsubtext",
    "getPSAppDEField" : {
      "name" : "SUBTEXT",
      "codeName" : "Subtext"
    }
  }, {
    "dataType" : 25,
    "name" : "author",
    "getPSAppDEField" : {
      "name" : "AUTHOR",
      "codeName" : "Author"
    }
  }, {
    "dataType" : 25,
    "name" : "srfkey",
    "getPSAppDEField" : {
      "name" : "IBIZBOOKID",
      "codeName" : "IBIZBOOKId"
    }
  }, {
    "dataType" : 25,
    "name" : "srfmstag"
  } ],
  "getPSDEDataViewItems" : [ {
    "getCapPSLanguageRes" : {
      "defaultContent" : "图书出版社",
      "lanResTag" : "DEF.LNAME.PRESS",
      "lanResType" : "DEF.LNAME",
      "mOSFilePath" : "pslanguageres/Auto1827",
      "name" : "属性逻辑名称（DEF.LNAME.*）[PRESS]",
      "rTMOSFilePath" : "pslanguageres/Auto1827",
      "refFlag" : true
    },
    "caption" : "图书出版社",
    "dataItemName" : "press",
    "itemType" : "DATAITEM",
    "name" : "PRESS",
    "getPSAppDEField" : {
      "name" : "PRESS",
      "codeName" : "Press"
    },
    "enableSort" : true
  }, {
    "dataItemName" : "srficon",
    "itemType" : "DATAITEM",
    "name" : "srficon",
    "enableSort" : false
  }, {
    "cLConvertMode" : "FRONT",
    "getCapPSLanguageRes" : {
      "defaultContent" : "图书类型",
      "lanResTag" : "DEF.LNAME.TYPE",
      "lanResType" : "DEF.LNAME",
      "mOSFilePath" : "pslanguageres/Auto2088",
      "name" : "属性逻辑名称（DEF.LNAME.*）[TYPE]",
      "rTMOSFilePath" : "pslanguageres/Auto2088",
      "refFlag" : true
    },
    "caption" : "图书类型",
    "dataItemName" : "type",
    "itemType" : "DATAITEM",
    "name" : "TYPE",
    "getPSAppDEField" : {
      "name" : "TYPE",
      "codeName" : "Type"
    },
    "getPSCodeList" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/BookType.json"
    },
    "enableSort" : true
  }, {
    "getCapPSLanguageRes" : {
      "defaultContent" : "图书价格",
      "lanResTag" : "DEF.LNAME.PRICE",
      "lanResType" : "DEF.LNAME",
      "mOSFilePath" : "pslanguageres/Auto1925",
      "name" : "属性逻辑名称（DEF.LNAME.*）[PRICE]",
      "rTMOSFilePath" : "pslanguageres/Auto1925",
      "refFlag" : true
    },
    "caption" : "图书价格",
    "dataItemName" : "price",
    "itemType" : "DATAITEM",
    "name" : "PRICE",
    "getPSAppDEField" : {
      "name" : "PRICE",
      "codeName" : "Price"
    },
    "enableSort" : true
  }, {
    "getCapPSLanguageRes" : {
      "defaultContent" : "图书数量",
      "lanResTag" : "DEF.LNAME.BOOKNUMBER",
      "lanResType" : "DEF.LNAME",
      "mOSFilePath" : "pslanguageres/Auto2067",
      "name" : "属性逻辑名称（DEF.LNAME.*）[BOOKNUMBER]",
      "rTMOSFilePath" : "pslanguageres/Auto2067",
      "refFlag" : true
    },
    "caption" : "图书数量",
    "dataItemName" : "booknumber",
    "itemType" : "DATAITEM",
    "name" : "BOOKNUMBER",
    "getPSAppDEField" : {
      "name" : "BOOKNUMBER",
      "codeName" : "Booknumber"
    },
    "enableSort" : true
  }, {
    "dataItemName" : "srfmajortext",
    "itemType" : "DATAITEM",
    "name" : "srfmajortext",
    "enableSort" : false
  }, {
    "dataItemName" : "srfsubtext",
    "itemType" : "DATAITEM",
    "name" : "srfsubtext",
    "enableSort" : false
  }, {
    "getCapPSLanguageRes" : {
      "defaultContent" : "图书作者",
      "lanResTag" : "DEF.LNAME.AUTHOR",
      "lanResType" : "DEF.LNAME",
      "mOSFilePath" : "pslanguageres/Auto2038",
      "name" : "属性逻辑名称（DEF.LNAME.*）[AUTHOR]",
      "rTMOSFilePath" : "pslanguageres/Auto2038",
      "refFlag" : true
    },
    "caption" : "图书作者",
    "dataItemName" : "author",
    "itemType" : "DATAITEM",
    "name" : "AUTHOR",
    "getPSAppDEField" : {
      "name" : "AUTHOR",
      "codeName" : "Author"
    },
    "enableSort" : true
  } ],
  "pagingSize" : 20,
  "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKGroupByCodelistKanBanView/psappviewctrls/kanban",
  "getRemovePSControlAction" : {
    "modelref" : true,
    "id" : "remove"
  },
  "getUpdateGroupPSControlAction" : {
    "modelref" : true,
    "id" : "updategroup"
  },
  "getUpdatePSControlAction" : {
    "modelref" : true,
    "id" : "update"
  },
  "hasWFDataItems" : false,
  "appendDEItems" : true,
  "enableCardEdit" : false,
  "enableCardEditGroup" : false,
  "enableCardEditOrder" : false,
  "enableCardNew" : false,
  "enableGroup" : true,
  "enablePagingBar" : true,
  "noSort" : false,
  "singleSelect" : false,
  "modelid" : "19c745490a35608f1c5fdc1dfef6f54c",
  "modeltype" : "PSDEKANBAN"
}